Fetch a previously saved document from a specific reservation.
HTTP Request Method = POST.
https://sandbox.minihotel.cloud/agents/ws/sci/sciMain.asmx/getDocuments
https://api2.minihotel.cloud/agents/ws/sci/sciMain.asmx/getDocuments
Request
| Element | Description | Type |
|---|---|---|
| rs_number | Reservation Number | String |
Request Example
<?xml version="1.0" encoding="UTF-8"?>
<Request>
<SCI name="sci_getDocuments">
<Authentication username="Test" password="3657488"/>
<Hotel id="sandbox" />
<rs_number>007000584</rs_number>
</SCI>
</Request>
Response
| Parameter | Description | Type |
|---|---|---|
| Documents | Documents node List | List Of() |
| #Document | Document record container | |
| #attr src | Image Url | String |
| #attr description | Description | String |
| #attr id | Image ID | String |
Response Example
<Response>
<ServerInfo>
<Name>SANDBOX1</Name>
<ResponseTime>56 ms</ResponseTime>
<DateTime>7/6/2018 10:28:39 AM</DateTime>
</ServerInfo>
<Documents>
<Document src='https://sandbox.minihotel.cloud/agents/ws/sci/sciDoc.aspx?h=YlVab1V4V3l2clA2WDZ5YkxuSDU5dGdZW==' description='Guest passport' />
</Documents>
</Response>
